Lavalite package that provides profile management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litematrimony/profile`.

    "litematrimony/profile": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litematrimony\Profile\Providers\ProfileServiceProvider::class,

And also add it to alias

    'Profile'  => Litematrimony\Profile\Facades\Profile::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litematrimony\\Profile\\Seeders\\ProfileTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litematrimony\Profile\Providers\ProfileServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litematrimony\Profile\Providers\ProfileServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litematrimony\Profile\Providers\ProfileServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/profile/{modulename}

**User**

    http://path-to-route-folder/user/profile/{modulename}

**Public**

    http://path-to-route-folder/profiles


### API endpoints

**List**

    http://path-to-route-folder/api/user/profile/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/profile/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/profile/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/profile/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/profile/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/profile/{modulename}/{slug}
    METHOD: GET